gnutls_protocol_get_id(3)

NAME
gnutls_protocol_get_id - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_protocol_t gnutls_protocol_get_id(const char * name);

ARGUMENTS

const char * name
    is a protocol name

DESCRIPTION
The names are compared in a case insensitive way.

RETURNS
an id of the specified protocol, or GNUTLS_VERSION_UNKNOWN on error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/